Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotProblemInstance.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("a98870e4-8b6e-488b-b268-50d4826a95a8")]
   public interface ISingleDepotProblemInstance : IVRPProblemInstance {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("ccef6f40-68a3-4a65-9cc4-cdd44d71da9e")]
   public interface ITimeWindowedOperator : IVRPOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/TimeWindowed/ITimeWindowedProblemInstance.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("2ee56735-abe9-44c0-8387-c852cabf2329")]
   public interface ITimeWindowedProblemInstance : IVRPProblemInstance {
     DoubleArray ReadyTime { get; }
